#ifndef MSP_DEMOSCENE_LAUNCHSCREEN_H_
#define MSP_DEMOSCENE_LAUNCHSCREEN_H_

#include <msp/gl/camera.h>
#include <msp/gl/font.h>
#include <msp/gl/technique.h>
#include <msp/gl/text.h>
#include "resources.h"

class LaunchScreen
{
private:
	const Msp::GL::Font &font;
	const Msp::GL::Technique &tech;
	Msp::GL::Text countdown;
	unsigned countdown_value;
	Msp::GL::Text enter_prompt;
	Msp::GL::Text esc_prompt;
	Msp::GL::Camera camera;

public:
	LaunchScreen(Resources &);

	void set_countdown(unsigned);

	void render();
};

#endif
